Bug 877554 - [abrt] smolt-1.4.3-6.fc17: fs_util.py:41:__init__:ValueError: too many values to unpack
[abrt] smolt-1.4.3-6.fc17: fs_util.py:41:__init__:ValueError: too many values...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: smolt (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Will Woods
Fedora Extras Quality Assurance
abrt_hash:745f1912ebbc29744b0130e5dac...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-16 16:01 EST by eric
Modified: 2013-08-01 09:17 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 09:17:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: executable (25 bytes, text/plain)
2012-11-16 16:01 EST, eric
no flags Details
File: environ (2.64 KB, text/plain)
2012-11-16 16:01 EST, eric
no flags Details
File: smolt_data (1.03 KB, text/plain)
2012-11-16 16:01 EST, eric
no flags Details
File: core_backtrace (834 bytes, text/plain)
2012-11-16 16:01 EST, eric
no flags Details

  None (edit)
Description eric 2012-11-16 16:01:18 EST
Description of problem:
I was filing a report.  

I consistently get the message below. I have ~/.config/apps/chrome but I'm fairly certain this isn't the right directory in which to put it(maybe it's supposed to be under root?)


***************
--- Running collect_Smolt ---
Can't save smolt profile

--- Running collect_GConf ---
GConf directory /apps/chrome does not exist

--- Running collect_xsession_errors ---
Element 'xsession_errors' saved
***************


Version-Release number of selected component:
smolt-1.4.3-6.fc17

Additional info:
libreport version: 2.0.18
abrt_version:   2.0.18
cmdline:        /usr/bin/python /usr/bin/smoltSendProfile -p
kernel:         3.6.6-1.fc17.i686.PAE

backtrace:
:fs_util.py:41:__init__:ValueError: too many values to unpack
:
:Traceback (most recent call last):
:  File "/usr/bin/smoltSendProfile", line 152, in <module>
:    profile = smolt.get_profile()
:  File "/usr/share/smolt/client/smolt.py", line 1414, in get_profile
:    return Hardware()
:  File "/usr/share/smolt/client/smolt.py", line 1004, in Hardware
:    _hardware_instance = _Hardware()
:  File "/usr/share/smolt/client/smolt.py", line 593, in __init__
:    self.fss = get_file_systems()
:  File "/usr/share/smolt/client/smolt.py", line 417, in get_file_systems
:    file_systems = get_fslist()
:  File "/usr/share/smolt/client/fs_util.py", line 100, in get_fslist
:    return [FileSystem(mnt) for mnt in get_mtab()]
:  File "/usr/share/smolt/client/fs_util.py", line 91, in get_mtab
:    mtab_map = __cache_mtab__(mtab)
:  File "/usr/share/smolt/client/fs_util.py", line 107, in __cache_mtab__
:    mtab = [MntEntObj(line) for line in f.read().split('\n') if len(line) > 0]
:  File "/usr/share/smolt/client/fs_util.py", line 41, in __init__
:    self.mnt_freq, self.mnt_passno) = input.split()
:ValueError: too many values to unpack
:
:Local variables in innermost frame:
:input: '//Nirvana/torrents /smb/Nirvana/torrents cifs rw,relatime,vers=1.0,sec=ntlm,cache=loose,unc=\\\\Nirvana\\torrents,username=noneya,uid=1001,forceuid,gid=100,forcegid,addr=192.168.1.2,file_mode=0644,dir_mode=0755,nounix,serverino,rsize=61440,wsize=65536,actimeo=1 0 0'
:self: <fs_util.MntEntObj object at 0xa1f25ac>

Potential duplicate bug: 755419
Comment 1 eric 2012-11-16 16:01:23 EST
Created attachment 646624 [details]
File: executable
Comment 2 eric 2012-11-16 16:01:25 EST
Created attachment 646625 [details]
File: environ
Comment 3 eric 2012-11-16 16:01:28 EST
Created attachment 646626 [details]
File: smolt_data
Comment 4 eric 2012-11-16 16:01:30 EST
Created attachment 646627 [details]
File: core_backtrace
Comment 5 Fedora End Of Life 2013-07-04 00:22:00 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-08-01 09:17:27 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.